
%macro create_priority;

proc sql;
  create table diag_from_tree as
  select distinct a.patid, a.adate, a.enctype, a.PDX, b.dx, b.dx_codetype, b.orig_dx, b.orig_dx_codetype
    from indata.diagnosis as a, dxtree_input as b
      where upcase(compress(a.dx,'.'))=upcase(compress(orig_dx,'.')) and a.dx_codetype=b.orig_dx_codetype;
	
  create table diag_from_tree_demo as
  select a.*, b.birth_date, b.sex, intck("&age_period.",birth_date, adate, 'c') as age_at_dx_dt
    from diag_from_tree as a, indata.demographic as b
	  where a.patid=b.patid and (upcase(b.sex)=upcase("&sex.") or "&sex." = ' ')
	        and &age_begin.<=calculated age_at_dx_dt<=&age_finish.;
			
  create table diag_from_tree_demo_enct as
  select distinct a.*, exposure_group
    from diag_from_tree_demo as a, grp_inc_encounter_setting as b
	  where ((a.enctype=b.incident_enc_setting & (a.pdx=b.pdx or b.pdx=' ')) or b.incident_enc_setting=' ');
 quit;

proc datasets library=work nolist;
  delete diag_from_tree diag_from_tree_demo;
run;

		proc freq data=diag_from_tree_demo_enct noprint;
		 tables exposure_group*dx/missing out=grp_dx_freq;
		run;

		
proc datasets library=work nolist;
  delete diag_from_tree_demo_enct;
run;

      proc sql;
		  create table grp_all_dx as
		  select distinct exposure_group, dx, dx_codetype, incident_level
            from  general_input as a, dxtree_input as b;
		  create table priority as
		  select a.*, b.count
		    from grp_all_dx as a left join grp_dx_freq as b
			  on a.exposure_group=b.exposure_group and a.dx=b.dx;
	 quit;
	

proc datasets library=work nolist;
  delete grp_all_dx grp_dx_freq;
run;

		  data dplocal.dxtree_priority;
		   set priority;
		    priority=COALESCE(count, 999999);
		  run;

proc datasets library=work nolist;
  delete priority;
run;

%mend create_priority;

